com.saxonica.bytecode.util

## Class AnnotatedTraceClassVisitor

- java.lang.Object
- - org.objectweb.asm.util.AbstractVisitor
  - - org.objectweb.asm.util.TraceAbstractVisitor
    - - org.objectweb.asm.util.TraceClassVisitor
      - - com.saxonica.bytecode.util.AnnotatedTraceClassVisitor

- All Implemented Interfaces:
    org.objectweb.asm.ClassVisitor

      public class AnnotatedTraceClassVisitor
      extends org.objectweb.asm.util.TraceClassVisitor

  Subclass of TraceClassVisitor to enable the bytecode listings to be customized

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.util.TraceClassVisitor

      `cv, pw`

    - ### Fields inherited from class org.objectweb.asm.util.TraceAbstractVisitor

      `CLASS_DECLARATION, CLASS_SIGNATURE, FIELD_DESCRIPTOR, FIELD_SIGNATURE, INTERNAL_NAME, METHOD_DESCRIPTOR, METHOD_SIGNATURE, PARAMETERS_DECLARATION, tab, TYPE_DECLARATION`

    - ### Fields inherited from class org.objectweb.asm.util.AbstractVisitor

      `buf, OPCODES, text, TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatedTraceClassVisitor(org.objectweb.asm.ClassVisitor cv, PrintWriter pw)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.objectweb.asm.util.TraceMethodVisitor` | `createTraceMethodVisitor()`

    - ### Methods inherited from class org.objectweb.asm.util.TraceClassVisitor

      `createTraceFieldVisitor, main, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

    - ### Methods inherited from class org.objectweb.asm.util.TraceAbstractVisitor

      `appendDescriptor, createTraceAnnotationVisitor`

    - ### Methods inherited from class org.objectweb.asm.util.AbstractVisitor

      `appendString, getDefaultAttributes, getText, print`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotatedTraceClassVisitor

          public AnnotatedTraceClassVisitor(org.objectweb.asm.ClassVisitor cv,
                                    PrintWriter pw)

  - ### Method Detail

    - #### createTraceMethodVisitor

          protected org.objectweb.asm.util.TraceMethodVisitor createTraceMethodVisitor()

      Overrides:
        `createTraceMethodVisitor` in class `org.objectweb.asm.util.TraceClassVisitor`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.